﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace DTPOrderBookImbalance.NT7
{
    public class DTPOrderBookImbalanceForm : Form
    {
        private IContainer icontainer_0;
        private Label label_0;
        private Button button_0;
        private Button button_1;
        private GroupBox groupBox_0;
        private TextBox textBox_0;
        private ColorDialog colorDialog_0;
        private Button button_2;
        private Label label_1;
        private TextBox textBox_1;
        private TextBox textBox_2;
        private Label label_2;
        private Button button_3;
        private TextBox textBox_3;
        private Label label_3;
        private Button button_4;
        private TextBox textBox_4;
        private Label label_4;
        private Button button_5;
        private TextBox textBox_5;
        private Label label_5;
        private Button button_6;
        private TextBox textBox_6;
        private Label label_6;
        private Button button_7;
        private TextBox textBox_7;
        private Label label_7;
        private Button button_8;
        private TextBox textBox_8;
        private Label label_8;
        private Button button_9;
        private TextBox textBox_9;
        private Label label_9;
        private GroupBox groupBox_1;
        private CheckBox checkBox_0;
        private CheckBox checkBox_1;

        public int Mode
        {
            get
            {
                return this.checkBox_0.Checked ? 1 : 2;
            }
            set
            {
                if (value == 1)
                    this.checkBox_0.Checked = true;
                else
                    this.checkBox_1.Checked = true;
            }
        }

        public double BidAskT1Ratio
        {
            get
            {
                return Convert.ToDouble(this.textBox_0.Text);
            }
            set
            {
                this.textBox_0.Text = value.ToString();
            }
        }

        public double BidAskT2Ratio
        {
            get
            {
                return Convert.ToDouble(this.textBox_9.Text);
            }
            set
            {
                this.textBox_9.Text = value.ToString();
            }
        }

        public Color ColorT1Bid
        {
            get
            {
                return this.textBox_1.BackColor;
            }
            set
            {
                this.textBox_1.BackColor = value;
            }
        }

        public Color ColorT1Ask
        {
            get
            {
                return this.textBox_2.BackColor;
            }
            set
            {
                this.textBox_2.BackColor = value;
            }
        }

        public Color ColorT1BidText
        {
            get
            {
                return this.textBox_3.BackColor;
            }
            set
            {
                this.textBox_3.BackColor = value;
            }
        }

        public Color ColorT1AskText
        {
            get
            {
                return this.textBox_4.BackColor;
            }
            set
            {
                this.textBox_4.BackColor = value;
            }
        }

        public Color ColorT2Bid
        {
            get
            {
                return this.textBox_8.BackColor;
            }
            set
            {
                this.textBox_8.BackColor = value;
            }
        }

        public Color ColorT2Ask
        {
            get
            {
                return this.textBox_7.BackColor;
            }
            set
            {
                this.textBox_7.BackColor = value;
            }
        }

        public Color ColorT2BidText
        {
            get
            {
                return this.textBox_6.BackColor;
            }
            set
            {
                this.textBox_6.BackColor = value;
            }
        }

        public Color ColorT2AskText
        {
            get
            {
                return this.textBox_5.BackColor;
            }
            set
            {
                this.textBox_5.BackColor = value;
            }
        }

        public DTPOrderBookImbalanceForm()
        {
            this.method_0();
        }

        private void button_2_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_1.BackColor = this.colorDialog_0.Color;
        }

        private void button_3_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_2.BackColor = this.colorDialog_0.Color;
        }

        private void button_4_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_3.BackColor = this.colorDialog_0.Color;
        }

        private void button_5_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_4.BackColor = this.colorDialog_0.Color;
        }

        private void button_9_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_8.BackColor = this.colorDialog_0.Color;
        }

        private void button_8_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_7.BackColor = this.colorDialog_0.Color;
        }

        private void button_7_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_6.BackColor = this.colorDialog_0.Color;
        }

        private void button_6_Click(object sender, EventArgs e)
        {
            if (this.colorDialog_0.ShowDialog() != DialogResult.OK)
                return;
            this.textBox_5.BackColor = this.colorDialog_0.Color;
        }

        private void checkBox_0_CheckedChanged(object sender, EventArgs e)
        {
            this.checkBox_1.Checked = !this.checkBox_0.Checked;
        }

        private void checkBox_1_CheckedChanged(object sender, EventArgs e)
        {
            this.checkBox_0.Checked = !this.checkBox_1.Checked;
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && this.icontainer_0 != null)
                this.icontainer_0.Dispose();
            base.Dispose(disposing);
        }

        private void method_0()
        {
            this.label_0 = new Label();
            this.button_0 = new Button();
            this.button_1 = new Button();
            this.groupBox_0 = new GroupBox();
            this.checkBox_0 = new CheckBox();
            this.label_2 = new Label();
            this.textBox_0 = new TextBox();
            this.colorDialog_0 = new ColorDialog();
            this.button_2 = new Button();
            this.label_1 = new Label();
            this.textBox_1 = new TextBox();
            this.textBox_2 = new TextBox();
            this.button_3 = new Button();
            this.textBox_3 = new TextBox();
            this.label_3 = new Label();
            this.button_4 = new Button();
            this.textBox_4 = new TextBox();
            this.label_4 = new Label();
            this.button_5 = new Button();
            this.textBox_5 = new TextBox();
            this.label_5 = new Label();
            this.button_6 = new Button();
            this.textBox_6 = new TextBox();
            this.label_6 = new Label();
            this.button_7 = new Button();
            this.textBox_7 = new TextBox();
            this.label_7 = new Label();
            this.button_8 = new Button();
            this.textBox_8 = new TextBox();
            this.label_8 = new Label();
            this.button_9 = new Button();
            this.textBox_9 = new TextBox();
            this.label_9 = new Label();
            this.groupBox_1 = new GroupBox();
            this.checkBox_1 = new CheckBox();
            this.groupBox_0.SuspendLayout();
            this.groupBox_1.SuspendLayout();
            this.SuspendLayout();
            this.label_0.AutoSize = true;
            this.label_0.Location = new Point(183, 22);
            this.label_0.Name = "label_0";
            this.label_0.Size = new Size(35, 13);
            this.label_0.TabIndex = 2;
            this.label_0.Text = "Ratio:";
            this.button_0.DialogResult = DialogResult.OK;
            this.button_0.Location = new Point(92, 281);
            this.button_0.Name = "button_0";
            this.button_0.Size = new Size(75, 23);
            this.button_0.TabIndex = 13;
            this.button_0.Text = "OK";
            this.button_0.UseVisualStyleBackColor = true;
            this.button_1.DialogResult = DialogResult.Cancel;
            this.button_1.Location = new Point(207, 280);
            this.button_1.Name = "button_1";
            this.button_1.Size = new Size(75, 23);
            this.button_1.TabIndex = 14;
            this.button_1.Text = "Cancel";
            this.button_1.UseVisualStyleBackColor = true;
            this.groupBox_0.Controls.Add((Control)this.checkBox_0);
            this.groupBox_0.Controls.Add((Control)this.label_2);
            this.groupBox_0.Location = new Point(27, 22);
            this.groupBox_0.Name = "groupBox_0";
            this.groupBox_0.Size = new Size(330, 105);
            this.groupBox_0.TabIndex = 8;
            this.groupBox_0.TabStop = false;
            this.checkBox_0.AutoSize = true;
            this.checkBox_0.Location = new Point(16, 0);
            this.checkBox_0.Name = "checkBox_0";
            this.checkBox_0.Size = new Size(76, 17);
            this.checkBox_0.TabIndex = 1;
            this.checkBox_0.Text = "Bid vs Ask";
            this.checkBox_0.UseVisualStyleBackColor = true;
            this.checkBox_0.CheckedChanged += new EventHandler(this.checkBox_0_CheckedChanged);
            this.label_2.AutoSize = true;
            this.label_2.Location = new Point(45, 69);
            this.label_2.Name = "label_2";
            this.label_2.Size = new Size(28, 13);
            this.label_2.TabIndex = 13;
            this.label_2.Text = "Ask:";
            this.textBox_0.Location = new Point(224, 19);
            this.textBox_0.Name = "textBox_0";
            this.textBox_0.Size = new Size(35, 20);
            this.textBox_0.TabIndex = 2;
            this.button_2.Location = new Point(138, 61);
            this.button_2.Name = "button_2";
            this.button_2.Size = new Size(24, 20);
            this.button_2.TabIndex = 3;
            this.button_2.Text = "...";
            this.button_2.UseVisualStyleBackColor = true;
            this.button_2.Click += new EventHandler(this.button_2_Click);
            this.label_1.AutoSize = true;
            this.label_1.Location = new Point(72, 64);
            this.label_1.Name = "label_1";
            this.label_1.Size = new Size(25, 13);
            this.label_1.TabIndex = 10;
            this.label_1.Text = "Bid:";
            this.textBox_1.Enabled = false;
            this.textBox_1.Location = new Point(103, 61);
            this.textBox_1.Name = "textBox_1";
            this.textBox_1.Size = new Size(34, 20);
            this.textBox_1.TabIndex = 11;
            this.textBox_2.Enabled = false;
            this.textBox_2.Location = new Point(103, 87);
            this.textBox_2.Name = "textBox_2";
            this.textBox_2.Size = new Size(34, 20);
            this.textBox_2.TabIndex = 14;
            this.button_3.Location = new Point(138, 87);
            this.button_3.Name = "button_3";
            this.button_3.Size = new Size(24, 20);
            this.button_3.TabIndex = 4;
            this.button_3.Text = "...";
            this.button_3.UseVisualStyleBackColor = true;
            this.button_3.Click += new EventHandler(this.button_3_Click);
            this.textBox_3.Enabled = false;
            this.textBox_3.Location = new Point(248, 60);
            this.textBox_3.Name = "textBox_3";
            this.textBox_3.Size = new Size(34, 20);
            this.textBox_3.TabIndex = 17;
            this.label_3.AutoSize = true;
            this.label_3.Location = new Point(197, 63);
            this.label_3.Name = "label_3";
            this.label_3.Size = new Size(45, 13);
            this.label_3.TabIndex = 16;
            this.label_3.Text = "Bid text:";
            this.button_4.Location = new Point(283, 60);
            this.button_4.Name = "button_4";
            this.button_4.Size = new Size(24, 20);
            this.button_4.TabIndex = 5;
            this.button_4.Text = "...";
            this.button_4.UseVisualStyleBackColor = true;
            this.button_4.Click += new EventHandler(this.button_4_Click);
            this.textBox_4.Enabled = false;
            this.textBox_4.Location = new Point(248, 87);
            this.textBox_4.Name = "textBox_4";
            this.textBox_4.Size = new Size(34, 20);
            this.textBox_4.TabIndex = 20;
            this.label_4.AutoSize = true;
            this.label_4.Location = new Point(197, 90);
            this.label_4.Name = "label_4";
            this.label_4.Size = new Size(48, 13);
            this.label_4.TabIndex = 19;
            this.label_4.Text = "Ask text:";
            this.button_5.Location = new Point(283, 87);
            this.button_5.Name = "button_5";
            this.button_5.Size = new Size(24, 20);
            this.button_5.TabIndex = 6;
            this.button_5.Text = "...";
            this.button_5.UseVisualStyleBackColor = true;
            this.button_5.Click += new EventHandler(this.button_5_Click);
            this.textBox_5.Enabled = false;
            this.textBox_5.Location = new Point(248, 214);
            this.textBox_5.Name = "textBox_5";
            this.textBox_5.Size = new Size(34, 20);
            this.textBox_5.TabIndex = 35;
            this.label_5.AutoSize = true;
            this.label_5.Location = new Point(197, 217);
            this.label_5.Name = "label_5";
            this.label_5.Size = new Size(48, 13);
            this.label_5.TabIndex = 34;
            this.label_5.Text = "Ask text:";
            this.button_6.Location = new Point(283, 214);
            this.button_6.Name = "button_6";
            this.button_6.Size = new Size(24, 20);
            this.button_6.TabIndex = 12;
            this.button_6.Text = "...";
            this.button_6.UseVisualStyleBackColor = true;
            this.button_6.Click += new EventHandler(this.button_6_Click);
            this.textBox_6.Enabled = false;
            this.textBox_6.Location = new Point(248, 187);
            this.textBox_6.Name = "textBox_6";
            this.textBox_6.Size = new Size(34, 20);
            this.textBox_6.TabIndex = 32;
            this.label_6.AutoSize = true;
            this.label_6.Location = new Point(197, 190);
            this.label_6.Name = "label_6";
            this.label_6.Size = new Size(45, 13);
            this.label_6.TabIndex = 31;
            this.label_6.Text = "Bid text";
            this.button_7.Location = new Point(283, 187);
            this.button_7.Name = "button_7";
            this.button_7.Size = new Size(24, 20);
            this.button_7.TabIndex = 11;
            this.button_7.Text = "...";
            this.button_7.UseVisualStyleBackColor = true;
            this.button_7.Click += new EventHandler(this.button_7_Click);
            this.textBox_7.Enabled = false;
            this.textBox_7.Location = new Point(103, 214);
            this.textBox_7.Name = "textBox_7";
            this.textBox_7.Size = new Size(34, 20);
            this.textBox_7.TabIndex = 29;
            this.label_7.AutoSize = true;
            this.label_7.Location = new Point(45, 68);
            this.label_7.Name = "label_7";
            this.label_7.Size = new Size(28, 13);
            this.label_7.TabIndex = 28;
            this.label_7.Text = "Ask:";
            this.button_8.Location = new Point(138, 214);
            this.button_8.Name = "button_8";
            this.button_8.Size = new Size(24, 20);
            this.button_8.TabIndex = 10;
            this.button_8.Text = "...";
            this.button_8.UseVisualStyleBackColor = true;
            this.button_8.Click += new EventHandler(this.button_8_Click);
            this.textBox_8.Enabled = false;
            this.textBox_8.Location = new Point(103, 188);
            this.textBox_8.Name = "textBox_8";
            this.textBox_8.Size = new Size(34, 20);
            this.textBox_8.TabIndex = 26;
            this.label_8.AutoSize = true;
            this.label_8.Location = new Point(72, 191);
            this.label_8.Name = "label_8";
            this.label_8.Size = new Size(25, 13);
            this.label_8.TabIndex = 25;
            this.label_8.Text = "Bid:";
            this.button_9.Location = new Point(138, 188);
            this.button_9.Name = "button_9";
            this.button_9.Size = new Size(24, 20);
            this.button_9.TabIndex = 9;
            this.button_9.Text = "...";
            this.button_9.UseVisualStyleBackColor = true;
            this.button_9.Click += new EventHandler(this.button_9_Click);
            this.textBox_9.Location = new Point(224, 146);
            this.textBox_9.Name = "textBox_9";
            this.textBox_9.Size = new Size(35, 20);
            this.textBox_9.TabIndex = 8;
            this.label_9.AutoSize = true;
            this.label_9.Location = new Point(183, 149);
            this.label_9.Name = "label_9";
            this.label_9.Size = new Size(35, 13);
            this.label_9.TabIndex = 21;
            this.label_9.Text = "Ratio:";
            this.groupBox_1.Controls.Add((Control)this.checkBox_1);
            this.groupBox_1.Controls.Add((Control)this.label_7);
            this.groupBox_1.Location = new Point(27, 149);
            this.groupBox_1.Name = "groupBox_1";
            this.groupBox_1.Size = new Size(330, 105);
            this.groupBox_1.TabIndex = 23;
            this.groupBox_1.TabStop = false;
            this.checkBox_1.AutoSize = true;
            this.checkBox_1.Location = new Point(16, -1);
            this.checkBox_1.Name = "checkBox_1";
            this.checkBox_1.Size = new Size(70, 17);
            this.checkBox_1.TabIndex = 7;
            this.checkBox_1.Text = "Bid / Ask";
            this.checkBox_1.UseVisualStyleBackColor = true;
            this.checkBox_1.CheckedChanged += new EventHandler(this.checkBox_1_CheckedChanged);
            this.AcceptButton = (IButtonControl)this.button_0;
            this.AutoScaleDimensions = new SizeF(6f, 13f);
            this.AutoScaleMode = AutoScaleMode.Font;
            this.CancelButton = (IButtonControl)this.button_1;
            this.ClientSize = new Size(381, 315);
            this.Controls.Add((Control)this.textBox_5);
            this.Controls.Add((Control)this.textBox_4);
            this.Controls.Add((Control)this.label_5);
            this.Controls.Add((Control)this.label_4);
            this.Controls.Add((Control)this.button_6);
            this.Controls.Add((Control)this.button_5);
            this.Controls.Add((Control)this.textBox_6);
            this.Controls.Add((Control)this.textBox_3);
            this.Controls.Add((Control)this.label_6);
            this.Controls.Add((Control)this.label_3);
            this.Controls.Add((Control)this.button_7);
            this.Controls.Add((Control)this.button_4);
            this.Controls.Add((Control)this.textBox_7);
            this.Controls.Add((Control)this.textBox_2);
            this.Controls.Add((Control)this.button_8);
            this.Controls.Add((Control)this.button_3);
            this.Controls.Add((Control)this.textBox_8);
            this.Controls.Add((Control)this.textBox_1);
            this.Controls.Add((Control)this.label_8);
            this.Controls.Add((Control)this.label_1);
            this.Controls.Add((Control)this.button_9);
            this.Controls.Add((Control)this.textBox_9);
            this.Controls.Add((Control)this.button_2);
            this.Controls.Add((Control)this.label_9);
            this.Controls.Add((Control)this.textBox_0);
            this.Controls.Add((Control)this.groupBox_1);
            this.Controls.Add((Control)this.label_0);
            this.Controls.Add((Control)this.button_1);
            this.Controls.Add((Control)this.button_0);
            this.Controls.Add((Control)this.groupBox_0);
            this.FormBorderStyle = FormBorderStyle.FixedDialog;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "DTPOrderBookImbalanceParameters";
            this.ShowIcon = false;
            this.SizeGripStyle = SizeGripStyle.Hide;
            this.StartPosition = FormStartPosition.CenterParent;
            this.Text = "DTPOrderBookImbalance parameters";
            this.groupBox_0.ResumeLayout(false);
            this.groupBox_0.PerformLayout();
            this.groupBox_1.ResumeLayout(false);
            this.groupBox_1.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();
        }
    }
}
